Chuyển đến nội dung
Diễn đàn CADViet

duy782006

CADViet Team
  • Số lượng nội dung

    2.376
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    79

Bài đăng được đăng bởi duy782006


  1. Bạn phải thông cảm là không phải mọi người đều là dân cơ khí và có kiến thức về cơ khí như bạn. 

    Hình tròn ban đầu bạn có theo tỉ lệ gì.

    Hình tròn mới tạo cách hình tròn ban đầu bao nhiêu? Do bạn nhập vào hay theo tỉ lệ % đường kính ban đầu hay là 1 giá trị luôn cố định. Cái đứt khúc đó theo quy định nào.

    Tương tự các đường tim cũng vậy.

    • Like 1

  2. 3 giờ trước, ketxu đã nói:

    Rồi, ông hỏi đi chơi luôn r ^^

    Ủa ketxu biết được là ai đã like bài viết của mình à? Giao diện cũ thì mình biết nhưng sau khi chuyển giao diện mới thì chỉ còn thấy số lượng mà ko còn biết ai like mình nửa nên nhiều khi ko biết trả lời của mình có giải quyết được vần đề được hỏi hay chưa thông qua like nửa!

     


  3. Khi tạo file sld thì nó chụp ảnh toàn bộ phần hiển thị của màn hình cad. Muốn canh ảnh sld vào giữa vùng hiển thị trong dcl thì tỉ lệ ngang dọc của vùng hiển thị phải giống tỉ lệ ngang dọc ảnh sld. Minh hoạ như hình dưới vùng hiển thị màu tím tỉ lệ ngang dọc là 3/2, ảnh sld màu xanh tỉ lệ ngang dọc là 2/1 thì lúc này ảnh sẽ hiển thị từ dưới lên hay trên xuống gì đó ko nhớ rỏ và vó bị lệch ko chính giữa được.

     

    (Post xong mới đọc bài của bác Hà được dẩn link phía trên. Nhưng cứ để nguyên bài vậy có khi có ích.)

    IMA.jpg

    • Like 1

  4. Khi định dạng màu in mình chỉ định dạng được các màu theo hệ index color nghĩa là màu từ 0 đến 250. Còn màu theo hệ True color thì không định dạng đưuơc5 nên nó cứ in ra màu thôi. Bạn chọn 1 đối tượng mà không in đen được xong nhìn chổ hiểu thị màu nó dạng như này là chính xác nó đang định dạng theo màu True color. Bạn chỉnh nó về màu index color là in đen được thôi.

    mm.jpg

    • Like 2

  5. -Chủ đề này mình cũng lội rồi. Cuối cùng chấp nhận load 1 file lisp file này làm nhiệm vụ hỏi chọn 1 file khác trong thư mục qua thao tác này lấy được đường dẩn thự mục, gán nó cho một biến, biến này sẽ ảnh hưởng đến toàn bộ các thứ dùng đến đường dẩn trong các lisp còn lại.

    -Hình như trên cadviet đã có đoạn lisp chọn thư mục không cần chọn file để lọc thư mục nửa. 

    -Muốn bỏ qua bước load 1 file lisp và chọn đường dẩn để lấy biến đến nay mình vẫn bí. và cũng chưa tìm thấy giải pháp lisp.

    https://www.cadviet.com/forum/topic/5597-lisp-di-động/


  6. 1 giờ trước, naturooo đã nói:

    Tôi chỉ hiểu nhét lisp vào STARUP SUITE để khi mở nó tự động load lisp thôi. Tất cả lisp tôi nhét vào thư mục. Còn STARUP SUITE tôi chỉ đưa lisp auto load tất cả lisp lisp có trong thư mục đấy thôi. Có lisp mới bỏ vào thư mục đấy là nó tự động load chứ k cần add vào đâu nữa.

    Túm lại là bạn biết làm rồi và đang đố mọi người hay là bãn muốn vậy và đang hỏi mọi người cách làm?

  7. Lisp


    Bạn đổi textstyle hiện hành thành cái khác standard (các textstyle có height là 0.00) mà chạy được thì là tôi đoán đúng chỉ cần sửa 1 dòng là xong. Do cad tôi có nhiều lisp chỉnh thông số mặc định nên file cad và lisp của bạn tôi dùng thử vẫn được.

    • Like 1

  8. Viết kiểu tổng hợp và sẽ không sửa theo yêu cầu.

    -Lệnh: CPDPL

    -Thao tác: 

    +Chọn nhóm đối tượng  dùng copy. Enter để kết thúc chọn.

    +Chọn điểm gốc nhóm đối tượng

    +Chọn pline dùng copy đến.

    -Tác dụng: copy nhóm đối tượng tại điểm gốc mình chọn đến tất cả các đỉnh của pline vừa chọn.

    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (Defun duy:c_curve (/ cur)
    (setq ddd (entsel "\nChon cuver:"))
    (while
    (or
    (null ddd)
    (or (= "TEXT" (cdr (assoc 0 (entget (car ddd))))) (= "MTEXT" (cdr (assoc 0 (entget (car ddd))))) (= "HATCH" (cdr (assoc 0 (entget (car ddd))))) (= "INSERT" (cdr (assoc 0 (entget (car 
    
    ddd))))) (= "REGION" (cdr (assoc 0 (entget (car ddd))))) (= "DIMENSION" (cdr (assoc 0 (entget (car ddd)))))
    )
    )
    (setq ddd (entsel "\nDoi tuong khong phai cuver! Chon lai"))
    )
    (setq  cur (car ddd))
    cur)
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (defun duy:pline>listdinh (curve / listd)
    (if (wcmatch (cdr(assoc 0 (entget curve))) "*POLYLINE")
      (foreach x (entget curve) (if (= (car x) 10) (setq listd (append listd (list(cdr x))))))
    )
    listd)
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (defun c:cpdpl ()
    (princ  "\nChon cac doi tuong muon copy: ")
    (setq dtcopy (ssget ))
    (setq dc (getpoint "\nChon diem goc copy"))
    (setq tapdinh (duy:pline>listdinh (duy:c_curve)))
    (foreach dinhchen tapdinh
    (command ".copy" dtcopy ""  "_non" dc  "_non" dinhchen "")
    )
    )
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

     

×